## gwenview 15.12.3

=== CMakeLists.txt ===
project(gwenview)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.2.0")

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMAddAppIcon)
include(GenerateExportHeader)
include(FeatureSummary)

## Generate header with version number
ecm_setup_version(${KDE_APPLICATIONS_VERSION}
                  VARIABLE_PREFIX GWENVIEW
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/lib/gwenview_version.h"
)

## CMake options
set(GWENVIEW_SEMANTICINFO_BACKEND_NONE OFF)
set(GWENVIEW_SEMANTICINFO_BACKEND_FAKE OFF)
set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO OFF)

set(GWENVIEW_SEMANTICINFO_BACKEND "Baloo" CACHE STRING "Semantic info backend for Gwenview (Baloo/Fake/None)")

# Init GWENVIEW_SEMANTICINFO_BACKEND_* vars
if(GWENVIEW_SEMANTICINFO_BACKEND STREQUAL "None")
    set(GWENVIEW_SEMANTICINFO_BACKEND_NONE ON)
elseif(GWENVIEW_SEMANTICINFO_BACKEND STREQUAL "Fake")
    set(GWENVIEW_SEMANTICINFO_BACKEND_FAKE ON)
else()
    set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO ON)
endif()

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Concurrent Svg OpenGL)

find_package(Phonon4Qt5 4.6.60 NO_MODULE)
include_directories(BEFORE ${PHONON_INCLUDES})
add_definitions(-DPHONON_LIB_SONAME=\"${PHONON_LIB_SONAME}\")

find_package(KF5KIO 5.4 REQUIRED)

find_package(KF5 REQUIRED COMPONENTS
    KDELibs4Support
    Activities
)

## Dependencies
find_package(JPEG)
set_package_properties(JPEG PROPERTIES URL "http://libjpeg.sourceforge.net/" DESCRIPTION "JPEG image manipulation support" TYPE REQUIRED)

find_package(PNG)
set_package_properties(PNG PROPERTIES URL "http://www.libpng.org" DESCRIPTION "PNG image manipulation support" TYPE REQUIRED)

find_package(Exiv2)
set_package_properties(EXIV2 PROPERTIES URL "http://www.exiv2.org" DESCRIPTION "image metadata support" TYPE REQUIRED)

find_package(KF5Kipi)
if (KF5Kipi_FOUND)
   set(KIPI_FOUND true)
endif()
# set_package_properties(Kipi PROPERTIES URL"http://www.kipi-plugins.org" DESCRIPTION "Provides various image manipulation and export features" TYPE OPTIONAL)

find_package(LCMS2)
set_package_properties(LCMS2 PROPERTIES URL "http://www.littlecms.com" DESCRIPTION "Color management engine" TYPE REQUIRED)

if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
    find_package(KF5Baloo 5.1.90)
    set_package_properties(KF5Baloo PROPERTIES URL "https://projects.kde.org/projects/kde/kdelibs/baloo" DESCRIPTION "Desktop-wide semantic information support" TYPE OPTIONAL)
    if (NOT KF5Baloo_FOUND)
        message (STATUS "You have selected Baloo for semantic backend, but required version was not found. Overriding the backend to None")
        unset(GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
        set(GWENVIEW_SEMANTICINFO_BACKEND_NONE ON)
    endif ()
endif ()

find_package(KF5KDcraw)
if (KF5KDcraw_FOUND)
   add_definitions(-DKDCRAW_FOUND)
endif()
#set_package_properties(KDCRAW_FOUND PROPERTIES URL "http://www.kde.org" DESCRIPTION "KDE Dcraw library" TYPE OPTIONAL)


find_package(X11)
if(X11_FOUND)
   find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED X11Extras)
   set(HAVE_X11 1)
endif()

configure_file(config-gwenview.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gwenview.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DTRANSLATION_DOMAIN="gwenview")

## dirs to build
add_subdirectory(lib)
add_subdirectory(app)
# add_subdirectory(importer)
add_subdirectory(part)
add_subdirectory(tests)
add_subdirectory(icons)
add_subdirectory(images)
add_subdirectory(cursors)
add_subdirectory(color-schemes)
add_subdirectory(doc)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR gwenview)

=== lib/CMakeLists.txt ===
project(gwenviewlib)

set(LIBGWENVIEW_VERSION "4.97.0")

# Extract version of libjpeg so that we can use the appropriate dir
# See bug #227313
message(STATUS "Looking for libjpeg version in ${JPEG_INCLUDE_DIR}/jpeglib.h")

# Due to the large variety of different headers the version data might be
# found in (between libjpeg, libjpeg-turbo and various multilib header
# forwarding schemes seen in distros), have a simple program print out the
# right version.
set(JPEGLIB_VERSION_CHECK_PATH "${CMAKE_CURRENT_BINARY_DIR}/jpeglib-version-check.c")
file(WRITE ${JPEGLIB_VERSION_CHECK_PATH} "
#include <stdio.h>
#include <stdlib.h>
#include <jpeglib.h>

int main(void) { printf(\"%d\\\n\", JPEG_LIB_VERSION); }
")

try_run(JPEGLIB_RUN_RESULT JPEGLIB_COMPILE_RESULT
    ${CMAKE_CURRENT_BINARY_DIR} ${JPEGLIB_VERSION_CHECK_PATH}
    RUN_OUTPUT_VARIABLE jpeglib_version)

if ((${JPEGLIB_COMPILE_RESULT} EQUAL FALSE) OR ("${JPEGLIB_RUN_RESULT}" EQUAL FAILED_TO_RUN) OR "${jpeglib_version}" STREQUAL "")
    message(FATAL_ERROR "Could not find jpeglib.h. This file comes with libjpeg.")
endif()

if ("${jpeglib_version}" LESS 80)
    set(GV_JPEG_DIR libjpeg-62)
endif()

if ("${jpeglib_version}" EQUAL 80)
    set(GV_JPEG_DIR libjpeg-80)
endif()

if ("${jpeglib_version}" EQUAL 90)
    set(GV_JPEG_DIR libjpeg-90)
endif()

if ("${GV_JPEG_DIR}" STREQUAL "")
    message(FATAL_ERROR "Unknown libjpeg version: ${jpeglib_version}")
endif()

message(STATUS "libjpeg version: ${jpeglib_version}")

add_definitions(-Dlibjpeg_EXPORTS)
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/${GV_JPEG_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${EXIV2_INCLUDE_DIR}
    ${JPEG_INCLUDE_DIR}
    ${PNG_INCLUDE_DIRS}
    )

# For config-gwenview.h
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/..
    )

set(gwenviewlib_SRCS
    cms/iccjpeg.c
    cms/cmsprofile.cpp
    cms/cmsprofile_png.cpp
    contextmanager.cpp
    crop/cropwidget.cpp
    crop/cropimageoperation.cpp
    crop/croptool.cpp
    document/abstractdocumentimpl.cpp
    document/documentjob.cpp
    document/animateddocumentloadedimpl.cpp
    document/document.cpp
    document/documentfactory.cpp
    document/documentloadedimpl.cpp
    document/emptydocumentimpl.cpp
    document/jpegdocumentloadedimpl.cpp
    document/loadingdocumentimpl.cpp
    document/loadingjob.cpp
    document/savejob.cpp
    document/svgdocumentloadedimpl.cpp
    document/videodocumentloadedimpl.cpp
    documentview/abstractdocumentviewadapter.cpp
    documentview/abstractimageview.cpp
    documentview/abstractrasterimageviewtool.cpp
    documentview/birdeyeview.cpp
    documentview/documentview.cpp
    documentview/documentviewcontroller.cpp
    documentview/documentviewsynchronizer.cpp
    documentview/loadingindicator.cpp
    documentview/messageviewadapter.cpp
    documentview/rasterimageview.cpp
    documentview/rasterimageviewadapter.cpp
    documentview/svgviewadapter.cpp
    documentview/videoviewadapter.cpp
    about.cpp
    abstractimageoperation.cpp
    disabledactionshortcutmonitor.cpp
    documentonlyproxymodel.cpp
    documentview/documentviewcontainer.cpp
    binder.cpp
    eventwatcher.cpp
    historymodel.cpp
    recentfilesmodel.cpp
    archiveutils.cpp
    datewidget.cpp
    exiv2imageloader.cpp
    flowlayout.cpp
    fullscreenbar.cpp
    hud/hudbutton.cpp
    hud/hudbuttonbox.cpp
    hud/hudcountdown.cpp
    hud/hudlabel.cpp
    hud/hudmessagebubble.cpp
    hud/hudslider.cpp
    hud/hudtheme.cpp
    hud/hudwidget.cpp
    graphicswidgetfloater.cpp
    imageformats/imageformats.cpp
#     imageformats/jpegplugin.cpp
#     imageformats/jpeghandler.cpp
    imagemetainfomodel.cpp
    imagescaler.cpp
    imageutils.cpp
    invisiblebuttongroup.cpp
    iodevicejpegsourcemanager.cpp
    jpegcontent.cpp
    kindproxymodel.cpp
    semanticinfo/sorteddirmodel.cpp
    memoryutils.cpp
    mimetypeutils.cpp
    paintutils.cpp
    placetreemodel.cpp
    preferredimagemetainfomodel.cpp
    print/printhelper.cpp
    print/printoptionspage.cpp
    recursivedirmodel.cpp
    shadowfilter.cpp
    slidecontainer.cpp
    slideshow.cpp
    statusbartoolbutton.cpp
    redeyereduction/redeyereductionimageoperation.cpp
    redeyereduction/redeyereductiontool.cpp
    resize/resizeimageoperation.cpp
    resize/resizeimagedialog.cpp
    thumbnailprovider/thumbnailgenerator.cpp
    thumbnailprovider/thumbnailprovider.cpp
    thumbnailprovider/thumbnailwriter.cpp
    thumbnailview/abstractthumbnailviewhelper.cpp
    thumbnailview/abstractdocumentinfoprovider.cpp
    thumbnailview/contextbarbutton.cpp
    thumbnailview/dragpixmapgenerator.cpp
    thumbnailview/itemeditor.cpp
    thumbnailview/previewitemdelegate.cpp
    thumbnailview/thumbnailbarview.cpp
    thumbnailview/thumbnailslider.cpp
    thumbnailview/thumbnailview.cpp
    thumbnailview/tooltipwidget.cpp
    timeutils.cpp
    transformimageoperation.cpp
    urlutils.cpp
    widgetfloater.cpp
    zoomslider.cpp
    zoomwidget.cpp
    ${GV_JPEG_DIR}/transupp.c
    )

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/abstractsemanticinfobackend.cpp
        semanticinfo/semanticinfodirmodel.cpp
        semanticinfo/tagitemdelegate.cpp
        semanticinfo/tagmodel.cpp
        semanticinfo/tagwidget.cpp
        )
endif()

if (GWENVIEW_SEMANTICINFO_BACKEND_FAKE)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/fakesemanticinfobackend.cpp
        )
endif()

if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/baloosemanticinfobackend.cpp
        )
endif()

set_source_files_properties(
    exiv2imageloader.cpp
    imagemetainfomodel.cpp
    timeutils.cpp
    PROPERTIES
    COMPILE_FLAGS "${KDE4_ENABLE_EXCEPTIONS}"
    )

ki18n_wrap_ui(gwenviewlib_SRCS
    crop/cropwidget.ui
    documentview/messageview.ui
    print/printoptionspage.ui
    redeyereduction/redeyereductionwidget.ui
    resize/resizeimagewidget.ui
    )

kconfig_add_kcfg_files(gwenviewlib_SRCS
    gwenviewconfig.kcfgc
    )

add_library(gwenviewlib SHARED ${gwenviewlib_SRCS})
generate_export_header(gwenviewlib BASE_NAME gwenviewlib)
set_target_properties(gwenviewlib PROPERTIES VERSION ${LIBGWENVIEW_VERSION} SOVERSION 5)
if (WIN32)
    set_target_properties(gwenviewlib PROPERTIES COMPILE_FLAGS -DJPEG_STATIC)
endif()

target_link_libraries(gwenviewlib
   KF5::KDELibs4Support
   Qt5::Concurrent
   Qt5::Svg
   Qt5::OpenGL
    ${JPEG_LIBRARY}
    ${EXIV2_LIBRARIES}
    ${PNG_LIBRARIES}
    ${LCMS2_LIBRARIES}
    ${PHONON_LIBRARY}
    )
if (WIN32)
    target_link_libraries(gwenviewlib ${EXPAT_LIBRARIES})
endif()

if (KF5KDcraw_FOUND)
    target_link_libraries(gwenviewlib KF5::KDcraw)
endif()

if (HAVE_X11)
    target_link_libraries(gwenviewlib Qt5::X11Extras ${X11_X11_LIB})
endif()

if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
    target_link_libraries(gwenviewlib
        KF5::Baloo
        KF5::FileMetaData
        )
endif()

install(TARGETS gwenviewlib ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== tests/manual/CMakeLists.txt ===
include_directories(
    ${gwenview_SOURCE_DIR}
    )

# SlideContainer
set(slidecontainertest_SRCS
    slidecontainertest.cpp
    )

add_executable(slidecontainertest ${slidecontainertest_SRCS})
ecm_mark_as_test(slidecontainertest)

target_link_libraries(slidecontainertest
    Qt5::Test
    KF5::KDELibs4Support
    gwenviewlib)

# imageloadbench
set(imageloadbench_SRCS
    imageloadbench.cpp
    )

add_executable(imageloadbench ${imageloadbench_SRCS})
ecm_mark_as_test(imageloadbench)

target_link_libraries(imageloadbench
    Qt5::Test
    KF5::KDELibs4Support
    gwenviewlib)

# thumbnailgen
set(thumbnailgen_SRCS
    thumbnailgen.cpp
    ../auto/testutils.cpp # FIXME: Move testutils.cpp to test/
    )

add_executable(thumbnailgen ${thumbnailgen_SRCS})
ecm_mark_as_test(thumbnailgen)

target_link_libraries(thumbnailgen
    Qt5::Test
    KF5::KDELibs4Support
    gwenviewlib)

=== debian/changelog ===
gwenview (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:56:15 -0700

gwenview (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Fixing path in gwenview.install

  [ Philip Muškovac ]
  * Merge with debian git master

  [ Scarlett Clark ]
  * Add missing optional dependencies. 
  * Fix deps to kf5 versions. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:25:07 +0100

gwenview (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:15 +0100

gwenview (4:15.08.2-1) unstable; urgency=medium

  [ Sune Vuorela ]
  * Add a Recommends on qt5-image-formats-plugins to get the ability to view
    tiff files back.
  * Remove Eshat from Uploaders per his request. Thanks for the work.

  [ Maximiliano Curia ]
  * New upstream release (15.08.2).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:05 +0200

gwenview (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:45:08 +0200

gwenview (4:15.08.0-3) unstable; urgency=medium

  * Merge with kubuntu changes.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 10:42:29 +0200

gwenview (4:15.08.0-2) experimental; urgency=medium

  * Force building against the experimental version of baloo.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 19:36:58 +0200

gwenview (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).
  * Update install files.
  * Add plasma-workspace runtime dependency, not really usable without
    it, (can this be reduced somehow?).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Aug 2015 17:28:27 +0200

gwenview (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:24 +0200

gwenview (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Update install files.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 22:37:04 +0100

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kinit-dev,
               kio-dev (>= 5.4),
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev,
               libkf5kdcraw-dev,
               libkf5kdelibs4support-dev,
               libkf5kipi-dev,
               liblcms2-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental4,
               libpng-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               libqt5x11extras5-dev (>= 5.4),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/gwenview.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kamera, kio-extras, qt5-image-formats-plugins
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: gwenview-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gwenview (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the gwenview
 This package contains debugging files used to investigate problems with
 Gwenview.
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	$(overridden_command) -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true

override_dh_strip:
	$(overridden_command) --dbg-package=gwenview-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/gwenview-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/gwenview-([\d.]+).tar.xz

## gwenview 16.04.3

=== debian/changelog ===
gwenview (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Bump build dep version to libkf5kipi. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release. 

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:44:15 +0200

gwenview (4:15.12.3-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:08:31 +0000

gwenview (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:22 +0100

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.24.0~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kinit-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.24.0~),
               libkf5kdcraw-dev (>= 16.04.3~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5kipi-dev (>= 16.04.3~),
               liblcms2-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental4,
               libpng-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kamera, kio-extras, qt5-image-formats-plugins
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	$(overridden_command) -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true

override_dh_strip:
	$(overridden_command) --ddeb-migration='gwenview-dbg (<= 4:15.12.1-1~~)'

## gwenview 16.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(gwenview)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -16,7 +16,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMOptionalAddSubdirectory)
 include(ECMInstallIcons)
 include(ECMSetupVersion)
@@ -107,6 +107,7 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_definitions(-DTRANSLATION_DOMAIN="gwenview")
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 ## dirs to build
 add_subdirectory(lib)

=== part/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${EXIV2_INCLUDE_DIR}
    )

set(gvpart_SRCS
    gvbrowserextension.cpp
    gvpart.cpp
    )

add_library(gvpart MODULE ${gvpart_SRCS})

target_link_libraries(gvpart KF5::Parts gwenviewlib)

install(TARGETS gvpart DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES gvpart.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES gvpart.rc
    DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/gvpart)

=== tests/manual/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
     )
 
 add_executable(slidecontainertest ${slidecontainertest_SRCS})
+add_dependencies(buildtests slidecontainertest)
 ecm_mark_as_test(slidecontainertest)
 
 target_link_libraries(slidecontainertest
@@ -21,6 +22,7 @@
     )
 
 add_executable(imageloadbench ${imageloadbench_SRCS})
+add_dependencies(buildtests imageloadbench)
 ecm_mark_as_test(imageloadbench)
 
 target_link_libraries(imageloadbench
@@ -35,6 +37,7 @@
     )
 
 add_executable(thumbnailgen ${thumbnailgen_SRCS})
+add_dependencies(buildtests thumbnailgen)
 ecm_mark_as_test(thumbnailgen)
 
 target_link_libraries(thumbnailgen

=== debian/changelog ===
gwenview (4:16.08.3-3) unstable; urgency=medium

  * Team upload.
  * Fix wrong package name: kdeinit is provided by kinit (Closes: #860992).
    Thanks Michael Musenbrock for the bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Apr 2017 10:24:25 -0300

gwenview (4:16.08.3-2) unstable; urgency=medium

  * Team upload.
  * Add kdeinit as a dependency (Closes: #860423 ).
    Thanks Christoph Egger for the bug and the triagging!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Apr 2017 22:21:47 -0300

gwenview (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:54:18 +0100

gwenview (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 12:35:38 +0200

gwenview (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the libkf5kdcraw-dev and libkf5kipi-dev, to enable RAW metadata and
    KIPI plugins. (Closes: #827183)
  * Restrict baloo-kf5-dev on Linux, so gwenview can be built on Hurd too.
  * Replace the libphonon4qt5experimental4 build dependency with
    libphononexperimental-dev, so we do not depend on the SONAME of
    libphononexperimental.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove gwenview.install, no more used now
  * Remove unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2016 08:59:51 +0200

gwenview (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:06:30 +0200

gwenview (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Hacky use of xephyr
  * kdeinit should be in the same dbus connection
  * script exec permission
  * Tests also need org.kde.kuiserver.service
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Acknowledge NMU 4:15.08.3-1.1.
    Thanks to Tobias Frost for the nmu
  * Update testsuite script

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:30:29 +0200

gwenview (4:15.08.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark B-D on baloo-kf5-dev as not available on kfreebsd-any.

 -- Tobias Frost <tobi@debian.org>  Tue, 26 Apr 2016 17:52:06 +0200

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13) [linux-any],
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kinit-dev,
               kio-dev (>= 5.4),
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev,
               libkf5kdcraw-dev,
               libkf5kdelibs4support-dev,
               libkf5kio-dev (>= 5.4~),
               libkf5kipi-dev,
               liblcms2-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphononexperimental-dev,
               libpng-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               libqt5x11extras5-dev (>= 5.4),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/gwenview.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kinit
Recommends: kamera, kio-extras, qt5-image-formats-plugins
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	$(overridden_command) -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true

override_dh_strip:
	$(overridden_command) --dbgsym-migration='gwenview-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, xserver-xephyr,
         kinit, kded5, kio-extras, plasma-workspace
Restrictions: build-needed, needs-recommends

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/gwenview-([\d.]+).tar.xz

## gwenview 16.12.3

=== debian/changelog ===
gwenview (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:08 +0000

gwenview (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:49 +0000

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.31.0~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5kdcraw-dev (>= 16.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5kipi-dev (>= 16.12.3~),
               liblcms2-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental4,
               libpng-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kamera, kio-extras, qt5-image-formats-plugins
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

## gwenview 17.04.3

=== debian/changelog ===
gwenview (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Buidl depend on optional libphonon4qt5experimental-dev

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:04 +0100

gwenview (4:16.12.1-0ubuntu2) UNRELEASED; urgency=medium

  * Fix install file

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 10 Feb 2017 23:59:52 +0000

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,13 @@
                libexiv2-dev,
                libjpeg-dev,
                libkf5activities-dev (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 16.12.3~),
+               libkf5kdcraw-dev (>= 17.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 16.12.3~),
+               libkf5kipi-dev (>= 17.04.3~),
                liblcms2-dev,
                libphonon4qt5-dev (>= 4.6.60),
+               libphonon4qt5experimental-dev,
                libphonon4qt5experimental4,
                libpng-dev,
                libqt5opengl5-dev (>= 5.6.1~),
@@ -36,6 +37,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kamera, kio-extras, qt5-image-formats-plugins
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of
  images.  It is capable of showing images in a full-screen slideshow view and

## gwenview 17.12.3

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 project(gwenviewlib)
+
+add_definitions(-DTRANSLATION_DOMAIN="gwenview")
 
 set(LIBGWENVIEW_VERSION "4.97.0")
 
@@ -21,6 +23,7 @@
 
 try_run(JPEGLIB_RUN_RESULT JPEGLIB_COMPILE_RESULT
     ${CMAKE_CURRENT_BINARY_DIR} ${JPEGLIB_VERSION_CHECK_PATH}
+    CMAKE_FLAGS -DINCLUDE_DIRECTORIES:PATH=${JPEG_INCLUDE_DIR}
     RUN_OUTPUT_VARIABLE jpeglib_version)
 
 if ((${JPEGLIB_COMPILE_RESULT} EQUAL FALSE) OR ("${JPEGLIB_RUN_RESULT}" EQUAL FAILED_TO_RUN) OR "${jpeglib_version}" STREQUAL "")
@@ -54,6 +57,12 @@
     ${JPEG_INCLUDE_DIR}
     ${PNG_INCLUDE_DIRS}
     )
+
+if(HAVE_FITS)
+    include_directories(
+        ${CFITSIO_INCLUDE_DIR}
+        )
+endif()
 
 # For config-gwenview.h
 include_directories(
@@ -166,6 +175,16 @@
     ${GV_JPEG_DIR}/transupp.c
     )
 
+if(HAVE_FITS)
+    set(gwenviewlib_SRCS
+        ${gwenviewlib_SRCS}
+        imageformats/fitsplugin.cpp
+        imageformats/fitshandler.cpp
+        imageformats/fitsformat/bayer.c
+        imageformats/fitsformat/fitsdata.cpp
+        )
+endif()
+
 if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
     set(gwenviewlib_SRCS
         ${gwenviewlib_SRCS}
@@ -191,12 +210,10 @@
         )
 endif()
 
-set_source_files_properties(
+kde_source_files_enable_exceptions(
     exiv2imageloader.cpp
     imagemetainfomodel.cpp
     timeutils.cpp
-    PROPERTIES
-    COMPILE_FLAGS "${KDE4_ENABLE_EXCEPTIONS}"
     )
 
 ki18n_wrap_ui(gwenviewlib_SRCS
@@ -219,16 +236,27 @@
 endif()
 
 target_link_libraries(gwenviewlib
-   KF5::KDELibs4Support
    Qt5::Concurrent
    Qt5::Svg
    Qt5::OpenGL
+   Qt5::PrintSupport
+   KF5::KIOCore
+   KF5::KIOWidgets
+   KF5::KIOFileWidgets
+   KF5::I18n
+   KF5::WindowSystem
+   KF5::IconThemes
     ${JPEG_LIBRARY}
     ${EXIV2_LIBRARIES}
     ${PNG_LIBRARIES}
     ${LCMS2_LIBRARIES}
     ${PHONON_LIBRARY}
     )
+
+if(HAVE_FITS)
+    target_link_libraries(gwenviewlib ${CFITSIO_LIBRARIES})
+endif()
+
 if (WIN32)
     target_link_libraries(gwenviewlib ${EXPAT_LIBRARIES})
 endif()

=== part/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+add_definitions(-DTRANSLATION_DOMAIN="gwenview")
+
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}/..
     ${EXIV2_INCLUDE_DIR}

=== debian/changelog ===
gwenview (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:19 +0000

gwenview (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Update install files
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:12 +0000

gwenview (4:17.08.3-0ubuntu3) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 18:10:34 +0100

gwenview (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Disable broken PlaceTreeModelTest test. KDE Bug: 387824

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Dec 2017 12:56:14 +0000

gwenview (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:48 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                kinit-dev (>= 5.31.0~),
+               libcfitsio-dev,
                libexiv2-dev,
                libjpeg-dev,
                libkf5activities-dev (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 17.04.3~),
+               libkf5kdcraw-dev (>= 17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 17.04.3~),
+               libkf5kipi-dev (>= 17.12.3~),
                liblcms2-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	$(overridden_command) -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true

override_dh_strip:
	$(overridden_command) --ddeb-migration='gwenview-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         kinit, kded5, kio-extras
Restrictions: build-needed, needs-recommends

## gwenview 18.04.0

=== debian/changelog ===
gwenview (4:18.04.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Breaks+Replaces against gwenview-i18n from lenny.  (Closes: #911638)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 24 Mar 2019 16:07:37 +0100

gwenview (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the libcfitsio-dev build dependency for the FITS image reading.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove the unused libphononexperimental-dev build dependency.
  * Remove the unused debian/meta/cmake-ignore stuff.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 23 Apr 2018 06:56:17 +0200

gwenview (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #878290)
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove unused libkf5kdelibs4support-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 12:33:03 +0100

gwenview (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:14 +0200

gwenview (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:57 +0000

gwenview (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:23 +0000

gwenview (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:22 +0000

gwenview (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:10:43 +0000

gwenview (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:48 +0000

gwenview (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:39 +0000

gwenview (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:20 +0000

gwenview (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:14:47 +0000

gwenview (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:24:29 +0000

gwenview (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:01 +0000

gwenview (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:46 +0000

gwenview (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:33 +0000

gwenview (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:38 +0000

gwenview (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:23 +0000

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13) [linux-any],
               cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.7.0~),
               kinit-dev,
               libcfitsio-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.25~),
               libkf5doctools-dev (>= 5.25~),
               libkf5i18n-dev (>= 5.25~),
               libkf5iconthemes-dev (>= 5.25~),
               libkf5itemmodels-dev (>= 5.25~),
               libkf5kdcraw-dev,
               libkf5kio-dev (>= 5.25~),
               libkf5kipi-dev,
               libkf5notifications-dev (>= 5.25~),
               libkf5parts-dev (>= 5.25~),
               libkf5windowsystem-dev (>= 5.25~),
               liblcms2-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev (>= 4.9.1),
               libpng-dev,
               libqt5opengl5-dev (>= 5.6.0~),
               libqt5svg5-dev (>= 5.6.0~),
               libqt5x11extras5-dev (>= 5.6.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.0~),
               qtscript5-dev (>= 5.4),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: kamera, kio-extras, qt5-image-formats-plugins
Breaks: ${kde-l10n:all}, gwenview-i18n
Replaces: ${kde-l10n:all}, gwenview-i18n
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-5~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	$(overridden_command) -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true

override_dh_strip:
	$(overridden_command) --dbgsym-migration='gwenview-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus, xserver-xephyr,
         kinit, kded5, kio-extras, plasma-workspace
Restrictions: build-needed, needs-recommends

## gwenview 18.04.0+rebuild

=== debian/changelog ===
gwenview (4:18.04.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Jan 2021 18:00:11 +0800

## gwenview 18.04.3

=== debian/changelog ===
gwenview (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:14:13 +0100

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.31.0~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libcfitsio-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5kdcraw-dev (>= 18.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5kipi-dev (>= 18.04.3~),
               liblcms2-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libphonon4qt5experimental4,
               libpng-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kamera, kio-extras, qt5-image-formats-plugins
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.
